Remove Batch Rules
Deletes the specified batch rules.
Required Permissions
Requires the ADMIN role or higher.
HTTP Request
DELETE /api/sonar/batch-rules
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
-X DELETE \
"https://HOSTNAME/api/sonar/batch-rules?guids=638cfeb2-e259-46af-961a-1eeb65ea35f0"
Request Parameters
| Key | Required | Type | Description | Note |
|---|---|---|---|---|
| guids | O | List (of strings) | Batch rule GUID list | Comma-separated list |
Success Response
{
"failures": []
}
Error Responses
Batch rule is not found
HTTP status code 200
{
"failures": [
{
"id": "638cfeb2-e259-46af-961a-1eeb65ea35f1",
"reason": "batch-rule-not-found"
}
]
}
Identifier is not in valid GUID format
HTTP status code 400
{
"error_code": "invalid-param-type",
"error_msg": "guids should be guid type."
}